ARDUINO COMMAND LINE MANUAL(1)

NAME
arduino-cli-board-details - Print details about a board.

SYNOPSIS
arduino-cli board details -b [flags]

DESCRIPTION
Show information about a board, in particular if the board has options to be specified in the FQBN.

OPTIONS
--board-options=[]
    List of board options separated by commas. Or can be used multiple times for multiple options.

-b, --fqbn=""
    Fully Qualified Board Name, e.g.: arduino:avr:uno

-f, --full[=false]
    Show full board details

-h, --help[=false]
    help for details

--list-programmers[=false]
    Show list of available programmers

--show-properties[="disabled"]
    Show build properties. The properties are expanded, use "--show-properties=unexpanded" if you want them exactly as they are defined.

OPTIONS INHERITED FROM PARENT COMMANDS
--additional-urls=[]
    Comma-separated list of additional URLs for the Boards Manager.

--config-dir=""
    Sets the default data directory (Arduino CLI will look for configuration file in this directory).

--config-file=""
    The custom config file (if not specified the default will be used).

--json[=false]
    Print the output in JSON format.

--log[=false]
    Print the logs on the standard output.

--log-file=""
    Path to the file where logs will be written.

--log-format="text"
    The output format for the logs, can be: text, json

--log-level="info"
    Messages with this level and above will be logged. Valid levels are: trace, debug, info, warn, error, fatal, panic

--no-color[=false]
    Disable colored output.

EXAMPLE
      debian/build/bin/arduino-cli board details -b arduino:avr:nano

SEE ALSO
arduino-cli-board(1)

HISTORY
15-Aug-2026 Auto generated by spf13/cobra